summaryrefslogtreecommitdiff
path: root/src/testing/netjail_exec_v2.sh
diff options
context:
space:
mode:
authort3sserakt <t3ss@posteo.de>2021-09-13 18:25:21 +0200
committert3sserakt <t3ss@posteo.de>2021-09-13 18:25:21 +0200
commit72d77af5270ba1dabe6fa8c45009601b44d23b7b (patch)
tree3ea58e04fdaf79befff8925086b2dbf391586d64 /src/testing/netjail_exec_v2.sh
parent46e07ed8eb64ff5a7473ac51de2e39c5a8a6ab3d (diff)
- added tng milestone 2 versions with improvements onto version 1 files , fixed smaller issues in milestone 1 versions, added version 1 to buildbot, added new testcase for testing udp backchannel
Diffstat (limited to 'src/testing/netjail_exec_v2.sh')
-rwxr-xr-xsrc/testing/netjail_exec_v2.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/src/testing/netjail_exec_v2.sh b/src/testing/netjail_exec_v2.sh
new file mode 100755
index 000000000..597baad20
--- /dev/null
+++ b/src/testing/netjail_exec_v2.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+. "./../testing/netjail_core_v2.sh"
+
+set -eu
+set -x
+
+export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
+
+M=$1
+N=$2
+
+NODE=$6
+
+netjail_node_exec_without_fds_and_sudo $NODE $3 $4 $5 $1 $2